﻿@model List<BusinessPartnerView>
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/MasterData/Views/Shared/_Layout.cshtml";
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMBP.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMBP.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Delete = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMBP.ToDescriptionString() && c.InternalKey == Enums.Actions.Delete.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMBP.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}
@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<h1 class="page-header">@BusinessPartners.BPS</h1>

<div class="row">
    <div class="col-md-3">

        <div class="panel-group" id="accordion">
            <div class="panel panel-default">
                <div class="panel-heading buscar_main">
                    <h3 class="panel-title">
                        <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseOne">@PurchaseOrders.Search</a>
                        <i class="indicator glyphicon glyphicon-search  pull-right"></i>
                    </h3>
                </div>
                <div id="collapseOne" class="panel-collapse collapse in">



                    <div class="panel-body">
                        <div class="form-group">
                            <div class="">
                                @Html.TextBox("txtCodeBP", null, new { @Id = "txtCodeBP", @placeholder = @BusinessPartners.Code, @class = "form-control" })
                            </div>
                            <div class="clear_simple"></div>
                            <div class="">
                                @Html.TextBox("txtNameBP", null, new { @Id = "txtNameBP", @placeholder = @BusinessPartners.Name, @class = "form-control" })
                            </div>
                            <div class="clear_simple"></div>
                            <div class="">
                                @Html.TextBox("txtTypeBP", null, new { @Id = "txtTypeBP", @placeholder = @BusinessPartners.Type, @class = "form-control" })
                            </div>
                            <div class="clear_simple"></div>
                            
                        </div>
                    </div>

                    <div class="panel-footer">
                        <button type="button" id="btSearch" class="btn btn-success btn-ls pull-left"  data-toggle="modal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search</button>
                    </div>

                    </div>
            </div>
        </div>
    </div>

    <div id="BodyBP" class="col-md-9">
        <div class="panel panel-default">
            <div class="panel-body">
                <div class="table-responsive responsive table_cart">
                    <table id="assets-data-table" class="table table-striped table-hover display" style="width:100%;"></table>
                    <script type="text/javascript">
                        var assetListVM;
                        $(function () {
                            assetListVM = {
                                dt: null,
                                init: function () {
                                    dt = $('#assets-data-table').DataTable({
                                         "language": {
                                                "lengthMenu": "@Shared.DTlengthMenu",
                                                "zeroRecords": "@Shared.DTzeroRecords",
                                                "info": "@Shared.DTinfo",
                                                "infoEmpty": "@Shared.DTinfoEmpty",
                                                "infoFiltered": "@Shared.DTinfoFiltered",
                                                "paginate": {
                                                    "previous": "@Shared.DTprevious",
                                                    "next": "@Shared.DTnext",
                                                    "first": "@Shared.DTfirst",
                                                    "last": "@Shared.DTlast"
                                                }
                                            },
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "searching": false,
                                        "scrollX": true, 
                                        "dom": 'Blfrtip',
                                        "buttons": ['excel', 'pdf', 'print'],
                                        "ajax": {
                                            "url": "/MasterData/BusinessPartner/ListBP",
                                            "type": 'POST',
                                            "data": function (data) {
                                                data.pCardCode = $("#txtCodeBP").val();
                                                data.pCardName = $("#txtNameBP").val();
                                                data.pBPType = $("#txtTypeBP").val();
                                            }
                                        },
                                        "columns": [
                                            { "title": "@BusinessPartners.Code", "data": "CardCode", "name": "CardCode" },
                                            { "title": "@BusinessPartners.Name", "data": "CardName", "name": "CardName" },
                                            {
                                                "title": "@BusinessPartners.Type", "name": "CardType", "data": "CardType",
                                                "render": function (data, type, full, meta) {
                                                    switch (data) {
                                                        case "C": return "@BusinessPartners.Customer"; break;
                                                        case "S": return "@BusinessPartners.Vendor"; break;
                                                        case "L": return "@BusinessPartners.Lead"; break;
                                                        default: ""; break;
                                                    }
                                                }
                                            },
                                            {
                                                "title": "@BusinessPartners.AB", "data": "Balance", "name": "Balance",
                                                "render": function (data, type, full, meta) {
                                                    return data.toFixed(@(((UserView)Session["UserLogin"]).CompanyConnect.CompanySAPConfig.CompanySettingsSAP.SumDec));
                                                }
                                            },
                                            {
                                                "title": "@BusinessPartners.Deliveries", "data": "DNotesBal", "name": "DNotesBal",
                                                "render": function (data, type, full, meta) {
                                                    return data.toFixed(@(((UserView)Session["UserLogin"]).CompanyConnect.CompanySAPConfig.CompanySettingsSAP.SumDec));
                                                }
                                            },
                                            {
                                                "title": "@BusinessPartners.Orders", "data": "OrdersBal", "name": "OrdersBal",
                                                "render": function (data, type, full, meta) {
                                                    return data.toFixed(@(((UserView)Session["UserLogin"]).CompanyConnect.CompanySAPConfig.CompanySettingsSAP.SumDec));
                                                }
                                            },
                                            { "title": "@BusinessPartners.Opportunities", "data": "OprCount", "name": "OprCount"  },
                                            {
                                                "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "";
                                                    if(@_Update.ToString().ToLower() == true)
                                                    {
                                                        mReturnValue += "<a href=\"/MasterData/BusinessPartner/ActionBusinessPartner?ActionBusinessPartner=Update&CardCodeBP="+data.CardCode+"&fromController=BusinessPartner\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-circle-arrow-right\"></span>&nbsp;@PurchaseOrders.Edit</a>";
                                                    }
                                                    return mReturnValue;
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                    });
                                },
                                refresh: function () {
                                    dt.ajax.reload();
                                }
                            }
                        });
                    </script>
                </div>
            </div>
        </div>
        @if (_Add)
        {
            <div class="col-md-2 pull-right">
                <a href='@Url.Action("ActionBusinessPartner", "BusinessPartner", new { @ActionBusinessPartner = "Add", @CardCodeBP = 0, @fromController = "BusinessPartner" })' class="btn btn-success btn-lg pull-right ">
                    <span class="glyphicon glyphicon-file"></span>&nbsp;@BusinessPartners.ABP
                </a>
            </div>
        }
    </div>

</div>

@Scripts.Render("~/bundles/BusinessPartner-Index")